Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036261
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2017-06-16 10:392017-06-20 09:21
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revision4e163d7f2a1d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036261: connections logged as abandoned in translate task

DescriptionIf logging abandoned connections is enabled, translate task logs its connection as abandoned when it finalizes.
Steps To Reproduce1. Configure Openbravo.properties to log abandoned connections: logAbandoned=true
2. ant smartbuild
   -> check compilation logs:
...
compile.translate:
...
     [java] 130823 [main] INFO org.openbravo.translate.Translate - Translated files for html: 486
     [java] Jun 16, 2017 10:30:25 AM org.apache.tomcat.jdbc.pool.ConnectionPool abandon
     [java] WARNING: Connection has been abandoned PooledConnection[org.postgresql.jdbc.PgConnection@6b5ceef5]:java.lang.Exception
     [java] at org.apache.tomcat.jdbc.pool.ConnectionPool.getThreadDump(ConnectionPool.java:1096)
     [java] at org.apache.tomcat.jdbc.pool.ConnectionPool.borrowConnection(ConnectionPool.java:799)
     [java] at org.apache.tomcat.jdbc.pool.ConnectionPool.borrowConnection(ConnectionPool.java:648)
     [java] at org.apache.tomcat.jdbc.pool.ConnectionPool.getConnection(ConnectionPool.java:200)
     [java] at org.apache.tomcat.jdbc.pool.DataSourceProxy.getConnection(DataSourceProxy.java:128)
     [java] at org.openbravo.apachejdbcconnectionpool.JdbcExternalConnectionPool.getConnectionFromDS(JdbcExternalConnectionPool.java:130)
     [java] at org.openbravo.apachejdbcconnectionpool.JdbcExternalConnectionPool.getConnection(JdbcExternalConnectionPool.java:93)
     [java] at org.openbravo.database.ConnectionProviderImpl.getNewConnection(ConnectionProviderImpl.java:260)
     [java] at org.openbravo.database.ConnectionProviderImpl.getConnection(ConnectionProviderImpl.java:236)
     [java] at org.openbravo.database.ConnectionProviderImpl.getPreparedStatement(ConnectionProviderImpl.java:369)
     [java] at org.openbravo.database.ConnectionProviderImpl.getPreparedStatement(ConnectionProviderImpl.java:361)
     [java] at org.openbravo.database.CPStandAlone.getPreparedStatement(CPStandAlone.java:83)
     [java] at org.openbravo.translate.TranslateData.systemLanguage(TranslateData.java:571)
     [java] at org.openbravo.translate.TranslateData.systemLanguage(TranslateData.java:555)
     [java] at org.openbravo.translate.Translate.<init>(Translate.java:100)
     [java] at org.openbravo.translate.Translate.main(Translate.java:142)


TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0036162 acknowledgedplatform clean up openbravo.log 
depends on feature request 00357043.0PR17Q3 closedalostale add support to log abandoned pool connections 
related to defect 0036274 closedalostale abandoned connection in SessionListener 

-  Notes
(0097440)
hgbot (developer)
2017-06-16 12:58

Repository: erp/devel/pi
Changeset: 4e163d7f2a1d76a1aea1b09d388807a40cf06fb0
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jun 16 12:57:27 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4e163d7f2a1d76a1aea1b09d388807a40cf06fb0 [^]

fixed bug 36261: connections logged as abandoned in translate task

  Connection for Translate task was kept unclosed in SessionInfo so when the pool
  was destroyed it was logged as abandoned.

  Fixed by closing it before destroying pool.

---
M src-trl/src/org/openbravo/translate/Translate.java
---
(0097462)
hudsonbot (developer)
2017-06-16 19:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/38c05e8441a9 [^]
Maturity status: Test
(0097500)
caristu (developer)
2017-06-20 09:21

Code reviewed + tested OK.

- Issue History
Date Modified Username Field Change
2017-06-16 10:39 alostale New Issue
2017-06-16 10:39 alostale Assigned To => platform
2017-06-16 10:39 alostale Modules => Core
2017-06-16 10:39 alostale Triggers an Emergency Pack => No
2017-06-16 10:39 alostale Relationship added related to 0036162
2017-06-16 10:58 alostale Relationship added depends on 0035704
2017-06-16 10:58 alostale Status new => acknowledged
2017-06-16 12:55 alostale Summary Connections are not properly closed in translate task => connections logged as abandoned in translate task
2017-06-16 12:55 alostale Description Updated View Revisions
2017-06-16 12:57 alostale Assigned To platform => alostale
2017-06-16 12:58 hgbot Checkin
2017-06-16 12:58 hgbot Note Added: 0097440
2017-06-16 12:58 hgbot Status acknowledged => resolved
2017-06-16 12:58 hgbot Resolution open => fixed
2017-06-16 12:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4e163d7f2a1d76a1aea1b09d388807a40cf06fb0 [^]
2017-06-16 19:02 hudsonbot Checkin
2017-06-16 19:02 hudsonbot Note Added: 0097462
2017-06-19 09:37 alostale Review Assigned To => caristu
2017-06-19 15:10 alostale Relationship added related to 0036274
2017-06-20 09:21 caristu Note Added: 0097500
2017-06-20 09:21 caristu Status resolved => closed
2017-06-20 09:21 caristu Fixed in Version => 3.0PR17Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker